BizKitHub
DocsAPI ReferenceBranch/bff/branch/save-address
postBranchAdmin BFF

/bff/branch/save-address

Creates or updates the address linked to a branch. If the branch already has an address, its fields are updated. Otherwise a new address record is created and linked. Returns the external address ID.

BranchpostBffBranchSave-address

Parameters

JSON body

Request body

application/json
slugstringRequired

Branch slug.

firstNamestringOptional
lastNamestringOptional
companyNamestringOptional
streetAddressstringOptional
citystringOptional
cityPartstringOptional
stateRegionstringOptional
postalCodestringOptional
countrystringOptional

ISO 3166-1 alpha-2 country code. Defaults to org default.

noticestringOptional

Response schema

1 status code documented

200Success
successbooleanRequired
addressIdstringRequired

Response example

application/json
{
  "success": false,
  "addressId": "example_addressId"
}

Request example

POST /bff/branch/save-address

post
curl -X POST "https://api.bizkithub.com/bff/branch/save-address" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "slug": "example_slug",
  "firstName": "example_firstName",
  "lastName": "example_lastName",
  "companyName": "example_companyName",
  "streetAddress": "example_streetAddress",
  "city": "example_city",
  "cityPart": "example_cityPart",
  "stateRegion": "example_stateRegion",
  "postalCode": "example_postalCode",
  "country": "example_country",
  "notice": "example_notice"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key